C'est varaiment sec pkg2ng ?

Le
xavier
J'ai un FreeBSD10-RELESE, upgradé d'un 9.2-RELEASE

Après avoir appliqué pkg2ng, j'ai voulu reconctruire les ports. Une
vraie boucherie !

|> Packages processed: 0 done, 1 ignored, 275 skipped and 104 failed

J'ai tout bien fait comme spécifié, vérifié l'arbre des ports (pkgdb -F)
*avant*. Heureusement que j'ai pas de pseudo-ports bsdpan-*, encore !

C'est quoi! ce brin. Et on n'a plus que 5 mois avant que ça devienne
obligatoire ?

Tiens, un exemple au hasard, avec un message aussi explicatif qu'une
Injurebox Microsoft :

|> Building package for libiconv-1.14_3
|/usr/local/lib/compat/pkg/libmd.so.5: unsupported file layout
|*** Error code 1

Ah, oui, évidemment, je ne veux pas de packages binaires, sinon j'aurais
pris une Debian.

Déçu, très déçu par cette release.

--
XAv
In your pomp and all your glory you're a poorer man than me,
as you lick the boots of death born out of fear.
(Jethro Tull)
Vos réponses Page 1 / 4
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
xavier
Le #26064702
patpro ~ patrick proniewski
Au final : j'installe avec succès des binaires ce que je ne me risquais
pas à faire avant, et je mets à jour avec succès des ports via
portupgrade comme j'ai toujours fait mais cette fois avec pkg en backend
au lieu de pkg_truc.



Ben visiblement, il est pas au courant, parce que j'ai été obligé de
récupérer /usr/sbin/pkg_* depuis une 9-RELEASE pour me faire (un peu)
moins injurier par portupgrade.

Visiblement la compatibilité ascendante n'a pas été une priorité.

5 mois, il reste 5 mois pour remettre le bouzin d'équerre. Je voudrais
pas être commiter :-(

Et NON, NON, je n'utiliserai pas (volontairement) le clone de apt-get,
ni les packages binaires.

--
XAv
In your pomp and all your glory you're a poorer man than me,
as you lick the boots of death born out of fear.
(Jethro Tull)
xavier
Le #26064752
Xavier
Ben visiblement, il est pas au courant, parce que j'ai été obligé de
récupérer /usr/sbin/pkg_* depuis une 9-RELEASE pour me faire (un peu)
moins injurier par portupgrade.

Visiblement la compatibilité ascendante n'a pas été une priorité.



En fait, TOUTES les compilations échouent sur le message :

| /usr/local/lib/compat/pkg/libmd.so.5: unsupported file layout

C'est AMHA le point crucial.

Mais le message est clair comme du Microsoft :-( Et Google n'aide pas.
Et j'ai déjà fait deux fois un full build world+kernel

Evidemment, c'est pas une VM pour jouer, c'est un serveur de prod, avec
mes DNS primaires, et un apache d'un client (avec la faille)...

#&$£%§!!!!

--
XAv
In your pomp and all your glory you're a poorer man than me,
as you lick the boots of death born out of fear.
(Jethro Tull)
patpro ~ patrick proniewski
Le #26064692
Salut,

In article (Xavier) wrote:

Ah, oui, évidemment, je ne veux pas de packages binaires, sinon j'aurais
pris une Debian.

Déçu, très déçu par cette release.



Moi je n'ai pas de souci pour le moment. Je suis encore en 9.truc pour
mes machines perso. J'ai testé quelques VM en 9 et 10 avec satisfaction,
mais elles n'avaient pas vraiment d'historique.

Sur mes 9 je suis passé à pkg via pkg2ng, mais ça ne se fait pas tout à
fait tout seul. Faut éditer le make.conf, bricoler des fichiers dans
/usr/local/.

Au final : j'installe avec succès des binaires ce que je ne me risquais
pas à faire avant, et je mets à jour avec succès des ports via
portupgrade comme j'ai toujours fait mais cette fois avec pkg en backend
au lieu de pkg_truc.
De mon côté, aucun souci donc, hormis un défaut de documentation AMHA.

Dans l'ordre - si mes souvenirs ne me trahissent pas - j'ai fait ces
manips :

pkg (pour installer/instancier le bazar)
ajout de "WITH_PKGNG=yes" dans /etc/make.conf (facultatif en 10, il
semble)
cat /usr/local/etc/pkg.conf.sample >/usr/local/etc/pkg.conf
mkdir -p /usr/local/etc/pkg/repos
écrire dans /usr/local/etc/pkg/repos/FreeBSD.conf :
FreeBSD: {
url: "pkg+http://pkg.FreeBSD.org/${ABI}/latest",
mirror_type: "srv",
enabled: yes
}

et pour finir, pkg2ng

patpro

--
photo http://photo.patpro.net/
blog http://www.patpro.net/
patpro ~ patrick proniewski
Le #26064932
In article (Xavier) wrote:

Evidemment, c'est pas une VM pour jouer, c'est un serveur de prod, avec
mes DNS primaires,



ouais mais bon, c'est pas parce que c'est le premier avril qu'il faut
faire des bêtises :)
C'est quand même sensible. J'ai testé d'abord le passage pkg_* -> pkg
sur des machines sans ports installés, puis sur des machines avec de
nombreux ports, puis seulement après sur mes machines "de prod" perso.
Les machines de prod du boulot, je ferai ça un peu plus tard, avant
l'été.


et un apache d'un client (avec la faille)...

#&$£%§!!!!



là je suis d'accord, le patch pour apache il traine à venir.

patpro

--
photo http://photo.patpro.net/
blog http://www.patpro.net/
Antoine Leca
Le #26065172
Xavier écrivit :
| /usr/local/lib/compat/pkg/libmd.so.5: unsupported file layout



Mmmmh, serait-ce un reste de fichier « interne » libtool, tout plein de
redirections magiques, qui a fini installé dans le système de fichiers?

Que dit file(1) ? Et une inspection visuelle ?


Antoine
xavier
Le #26066042
patpro ~ patrick proniewski
ouais mais bon, c'est pas parce que c'est le premier avril qu'il faut
faire des bêtises :)



Je fais confiansssse à la Sainte Parole du Handbook, ça tient en trois
lignes. C'est que ça devrait être simple et stable..

Ce qui me gave, c'est ça :
En fait, TOUTES les compilations échouent sur le message :

| /usr/local/lib/compat/pkg/libmd.so.5: unsupported file layout


Et aucune réponse de Google. Donc a priori pas dans freebsd-ports@ non
plus.

--
XAv
In your pomp and all your glory you're a poorer man than me,
as you lick the boots of death born out of fear.
(Jethro Tull)
xavier
Le #26066092
Antoine Leca
Que dit file(1) ? Et une inspection visuelle ?



[ ~]$ ll /usr/local/lib/compat/pkg/libmd.so.5
-r--r--r-- 1 root wheel 98656 Jan 31 16:35
/usr/local/lib/compat/pkg/libmd.so.5

[ ~ ]$ file /usr/local/lib/compat/pkg/libmd.so.5
/usr/local/lib/compat/pkg/libmd.so.5: ELF 32-bit LSB shared object,
Intel 80386, version 1 (FreeBSD), dynamically linked, stripped

Que vient foutre du 32 bits là-dedans ???

Recheches faites, ça vient de compat9x mais quel rapport avec
portupgrade ?!?

--
XAv
In your pomp and all your glory you're a poorer man than me,
as you lick the boots of death born out of fear.
(Jethro Tull)
Benoit Izac
Le #26066182
Bonjour,

le 02/04/2014 à 19:32, patpro ~ patrick proniewski

Ce qui me gave, c'est ça :
> En fait, TOUTES les compilations échouent sur le message :
>
> | /usr/local/lib/compat/pkg/libmd.so.5: unsupported file layout
Et aucune réponse de Google. Donc a priori pas dans freebsd-ports@ non
plus.



C'est d'autant plus étrange que je ne l'ai pas cette lib moi. Sur aucune
machine.



Vous ne cherchez pas au bon endroit, cherchez uniquement "unsupported
file layout" et ne tenez pas compte de libmd qui est une bibliothèque de
fonctions de hachage (MD5, SHA-1, etc.).

--
Benoit Izac
xavier
Le #26066202
Xavier
Que vient foutre du 32 bits là-dedans ???

Recheches faites, ça vient de compat9x mais quel rapport avec
portupgrade ?!?



Bon, les recherches avancent.
1- portupgrade a basoin de pkg_create qui n'existe plus (oui ! oui !)
2- j'importe les pkg_* depuis une machine 9-RELEASE x64
3- pour qu'ils marchent, il faut compat9x qui, ce con, installe des libs
de compatibilité 32 bits

Et voilà pourquoi votre fille est muette.

Du coup, j'ai un problème de bootstrap (en français de poule et d'½uf)

Il me reste à effeaer et réinstaller l'arbre des ports, mais je n'y
crois guère.

Et je n'utiliserai pas les ports binaires, c'ezst du linuxisme, plutôt
crever.

--
XAv
In your pomp and all your glory you're a poorer man than me,
as you lick the boots of death born out of fear.
(Jethro Tull)
xavier
Le #26066222
Benoit Izac
> C'est d'autant plus étrange que je ne l'ai pas cette lib moi. Sur aucune
> machine.

Vous ne cherchez pas au bon endroit, cherchez uniquement "unsupported
file layout" et ne tenez pas compte de libmd qui est une bibliothèque de
fonctions de h



Elle vient de compat9x (version amd65) et est pourtant en 32 bits.
1er point.

Pourquoi diable pkgng nécessite-t-il pkg_create ?
2e point et point principal.

--
XAv
In your pomp and all your glory you're a poorer man than me,
as you lick the boots of death born out of fear.
(Jethro Tull)
Publicité
Poster une réponse
Anonyme